Bug 176385 - Fix bug in desktop entry for port graphics/showimage
Summary: Fix bug in desktop entry for port graphics/showimage
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Bryan Drewery
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-24 01:40 UTC by rnejdl
Modified: 2013-02-25 13:40 UTC (History)
0 users

See Also:


Attachments
showimage.diff (1.15 KB, patch)
2013-02-24 01:40 UTC, rnejdl
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rnejdl 2013-02-24 01:40:00 UTC
	This fixes a bug in the showimage.desktop file where the desktop file references showimage but the program installs as showimage-kde4.
Comment 1 Edwin Groothuis freebsd_committer 2013-02-24 01:40:08 UTC
Class Changed
From-To: sw-bug->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-02-24 01:40:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bdrewery

bdrewery@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 3 Bryan Drewery freebsd_committer 2013-02-25 13:39:25 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2013-02-25 13:39:28 UTC
Author: bdrewery
Date: Mon Feb 25 13:39:11 2013
New Revision: 312920
URL: http://svnweb.freebsd.org/changeset/ports/312920

Log:
  - Fix incorrect desktop entry referencing showimage
    instead of showimage-kde4
  - Trim header
  
  PR:		ports/176385
  Submitted by:	Rusty Nejdl <rnejdl@ringofsaturn.com> (maintainer)

Modified:
  head/graphics/showimage/Makefile
  head/graphics/showimage/files/patch-showimage.desktop

Modified: head/graphics/showimage/Makefile
==============================================================================
--- head/graphics/showimage/Makefile	Mon Feb 25 13:02:11 2013	(r312919)
+++ head/graphics/showimage/Makefile	Mon Feb 25 13:39:11 2013	(r312920)
@@ -1,13 +1,9 @@
-# New ports collection makefile for:	showimage
-# Date Created:				2011-11-26
-# Whom:					Rusty Nejdl <rnejdl@ringofsaturn.com>
-#
+# Created by: Rusty Nejdl <rnejdl@ringofsaturn.com>
 # $FreeBSD$
-#
 
 PORTNAME=	showimage
 PORTVERSION=	1.6.3
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	graphics kde
 MASTER_SITES=	http://www.kde-apps.org/CONTENT/content-files/
 DISTNAME=	143977-${PORTNAME}-${PORTVERSION}

Modified: head/graphics/showimage/files/patch-showimage.desktop
==============================================================================
--- head/graphics/showimage/files/patch-showimage.desktop	Mon Feb 25 13:02:11 2013	(r312919)
+++ head/graphics/showimage/files/patch-showimage.desktop	Mon Feb 25 13:39:11 2013	(r312920)
@@ -1,10 +1,12 @@
---- ./showimage.desktop.orig	2011-09-12 19:22:18.000000000 +0000
-+++ ./showimage.desktop	2011-12-13 15:58:11.884599087 +0000
-@@ -2,7 +2,7 @@
+--- showimage.desktop.orig	2013-02-23 19:29:20.000000000 -0600
++++ showimage.desktop	2013-02-23 19:29:34.000000000 -0600
+@@ -1,8 +1,8 @@
+ [Desktop Entry]
  Type=Application
  Encoding=UTF-8
- Exec=showimage %F
+-Exec=showimage %F
 -Icon=showimage
++Exec=showimage-kde4 %F
 +Icon=showimage-kde4
  Categories=Graphics;RasterGraphics;Viewer;
  Terminal=false
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"